from copy import deepcopy
from filters.usefull_func import *
from math import sqrt, atan2, pi


def filtreCanny(img, Th):
    Tl = Th / 2

    filtred_image = filtre_gaussien(img)

    norme_gradient, angle_normale_gradient = calculGradient(filtred_image)

    non_maxima = dltNoMaxima(norme_gradient, angle_normale_gradient)

    contours = seuillageHysteresis(non_maxima, angle_normale_gradient, Th, Tl)

    return contours

"""
def filtreCannySemiAuto(img, centile):
    filtred_image = filtre_gaussien(img)

    norme_gradient, angle_normale_gradient = calculGradient(filtred_image)

    non_maxima = dltNoMaxima(norme_gradient, angle_normale_gradient)

    Th = calculTh(norme_gradient, centile)
    Tl = Th / 2
    contours = seuillageHysteresis(non_maxima, angle_normale_gradient, Th, Tl)

    return contours
"""
